Page MenuHomePhabricator

Typed array constructor argument is invalid
Closed, ResolvedPublic

Description

Error counts between 2016-05-18 20:33:39 and 2016-05-24 17:15:38, for this and similar error messages:

220 Ungültiges Konstruktorargument in typisiertem Array.
176 Typed array constructor argument is invalid

Details

Related Gerrit Patches:

Event Timeline

matmarex created this task.May 25 2016, 7:40 PM

This only appears on IE 11 and Edge on various operating systems.

Change 296806 had a related patch set uploaded (by Bartosz Dziewoński):
mw.UploadWizardUpload: Debugging for 'Typed array constructor argument is invalid'

https://gerrit.wikimedia.org/r/296806

matmarex claimed this task.Jun 30 2016, 7:23 PM
matmarex triaged this task as Medium priority.

Change 296806 merged by jenkins-bot:
mw.UploadWizardUpload: Debugging for 'Typed array constructor argument is invalid'

https://gerrit.wikimedia.org/r/296806

Let's see if anything interesting appears in the logs.

And the results are in!

mysql:research@dbstore1002.eqiad.wmnet [log]> select event_message, count(*) from UploadWizardExceptionFlowEvent_11772722
  where event_message like '%result=%' and timestamp > '20160630' group by event_message;
+-----------------------------------------------------------------------------------------+----------+
| event_message                                                                           | count(*) |
+-----------------------------------------------------------------------------------------+----------+
| Argument konstruktoru typovaného pole je neplatný. result=null error=null               |       40 |
| Argumento de constructor de matriz con tipo no válido result=null error=null            |       25 |
| Constructorargument van getypeerde matrix is ongeldig result=null error=null            |       62 |
| Konstruktørargument for typebestem array er ugyldigt result=null error=null             |       11 |
| L’argument du constructeur de tableau typé n’est pas valide result=null error=null      |        5 |
| Typed array constructor argument is invalid result=null error=null                      |       23 |
| Typed array constructor argument is invalid result=ÿØÿá%5Exif                           |        1 |
| 型付き配列のコンストラクター引数が無効です result=null error=null                       |        8 |
| 已指定型別的陣列建構函式引數無效 result=null error=null                                 |        1 |
+-----------------------------------------------------------------------------------------+----------+
9 rows in set (21.68 sec)

I'm not sure what's up with these, fileReader.result is documented not to be null, even for Internet Explorer specifically (https://msdn.microsoft.com/en-us/library/hh772345(v=vs.85).aspx). But it's easy enough to treat this like an error now that we know what is happening.

Something conked out when I was pushing the commit for review.

https://gerrit.wikimedia.org/r/299734

Change 299734 merged by jenkins-bot:
mw.UploadWizardUpload: Improve error handling in #extractMetadataFromJpegMeta

https://gerrit.wikimedia.org/r/299734

matmarex closed this task as Resolved.Jul 26 2016, 10:18 AM
matmarex removed a project: Patch-For-Review.

Change 303311 had a related patch set uploaded (by Bartosz Dziewoński):
mw.UploadWizardUpload: Catch IE's "Not enough storage is available" exceptions

https://gerrit.wikimedia.org/r/303311

(Ignore this, that patch is for T136239.)